Subject: bug#59214: [PATCH] Alternate rust-analyzer command added

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Nov 2022 14:51:00 +0200

> From: Pankaj Jangid <[email-masked]>
> Date: Sat, 12 Nov 2022 17:52:21 +0530
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> * lisp/progmodes/eglot.el (eglot-server-programs): There are two
> >> ways to run rust-analyzer. After adding the rustup component,
> >> users can add rust-analyzer to path and run rust-analyzer directly
> >
> > What do you mean by "add rust-analyzer to path"? what is "path" in
> > this case and why would one add rust-analyzer to it?
> 
> I meant "link rust-analyzer executable into a directory which is covered
> by PATH environment variable".

Then please modify the commit log message to use "PATH", upper-case.

> Typically, rust programmers have
> ~/.cargo/bin directory added to PATH env variable. So the official
> rust-analyzer documentation suggests that either you link rust-analyzer
> to this location or run using command `rustup run stable rust-analyzer'.
> 
> Ref: https://rust-analyzer.github.io/manual.html#rustup

I'll defer to João in the decision of whether we want to support both
methods or just one of them.

Thanks.